/* AIPlayer.c   Code for dopewars computer players                      */
/* Copyright (C)  1998-9  Ben Webb                                      */
/*                Email: ben@bellatrix.pcl.ox.ac.uk                     */
/*                WWW: http://bellatrix.pcl.ox.ac.uk/~ben/dopewars/     */

/* This program is free software; you can redistribute it and/or        */
/* modify it under the terms of the GNU General Public License          */
/* as published by the Free Software Foundation; either version 2       */
/* of the License, or (at your option) any later version.               */

/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License    */
/* along with this program; if not, write to the Free Software          */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston,               */
/*                   MA  02111-1307, USA.                               */


#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include "dopewars.h"
#include "message.h"
#include "clientside.h"
#include "AIPlayer.h"

#define NUMNAMES 3

char *Names[NUMNAMES] = {
   "Chip", "Dopey", "Al" 
};

void AIPlayerLoop() {
   char *pt;
   struct PLAYER *AIPlay;
   AIPlay=AddPlayer(0,&FirstClient);
   if (!AIPlay) {
      printf("Error: Cannot allocate memory. AI Player terminating \
abnormally.\n");
      return;
   }
   printf("AI Player started; attempting to contact server ");
   printf("at %s:%d...\n",ServerName,Port);
   pt=SetupNetwork();
   if (pt) {
      printf("Error: Could not connect to dopewars server\n(%s)\n",pt);
      printf("AI Player terminating abnormally.\n");
      return;
   }
   sprintf(AIPlay->Name,"AI) %s",Names[brandom(0,NUMNAMES)]);
   SendClientMessage(NULL,C_NONE,"name",NULL,AIPlay->Name);
   printf("Connection established; using name %s\n",AIPlay->Name);
   SendClientMessage(AIPlay,C_NONE,"msg",NULL,"Hi all!");
   sleep(1);
   printf("AI Player terminated OK.\n");
}
