/* message.h    Header file for Dopewars message-handling routines */

#ifndef __MESSAGE_H__
#define __MESSAGE_H__

#include "dopewars.h"

struct TMessageList {
   char Message[BUFLEN];
   struct TMessageList *Next;
};
typedef struct TMessageList MessageList;

void SendClientMessage(struct PLAYER *From,char AICode,char *Code,
                       struct PLAYER *To,char *Data);
void SendServerMessage(struct PLAYER *From,char AICode,char *Code,
                       struct PLAYER *To,char *Data);
void SendPrintMessage(struct PLAYER *From,char AICode,
                      struct PLAYER *To,char *Data);
void SendQuestion(struct PLAYER *From,char AICode,
                  struct PLAYER *To,char *Data);
void AddWaitingClientMessage(struct PLAYER *To,char *Text);
char CheckWaitingClientMessage(struct PLAYER *To,char *Text);
void ClearWaitingClientMessages();
char *bgets(char *buf,int maxlen,int fd);
void chomp(char *str);
void BroadcastToClients(char AICode,char *Code,char *Data,struct PLAYER *From,
                        struct PLAYER *Except);
void SendInventory(struct PLAYER *From,char AICode,char *Code,struct PLAYER *To,
                   Inventory *Inven);
void ReceiveInventory(char *Data,Inventory *Inven);
void SendPlayerData(struct PLAYER *To);
void SendSpyReport(struct PLAYER *To,struct PLAYER *SpiedOn);
void ReceivePlayerData(char *text,struct PLAYER *From);
char *ExtractWord(char *NewWord,char *text);
char *SetupNetwork();
void ShutdownNetwork();
int ProcessMessage(char *Msg,struct PLAYER **From,char *AICode,char *Code,
                   struct PLAYER **To,char *Data,struct PLAYER *First);
void ReceiveDrugsHere(char *text,struct PLAYER *To);

#endif
